package main

import (
	"fmt"
	"net/http"
	"path"

	"srs.epita.fr/fic-server/admin/api"
	"srs.epita.fr/fic-server/frontend/time"
	"srs.epita.fr/fic-server/settings"

	"github.com/julienschmidt/httprouter"
)

func init() {
	api.Router().GET("/time.json", func(w http.ResponseWriter, r *http.Request, ps httprouter.Params) {
		if config, err := settings.ReadSettings(path.Join(settings.SettingsDir, settings.SettingsFile)); err != nil {
			http.Error(w, fmt.Sprintf("{\"errmsg\":%q}", err), http.StatusInternalServerError)
		} else {
			time.ChallengeStart = config.Start
			time.ChallengeEnd = config.End
			time.TimeHandler{}.ServeHTTP(w, r)
		}
	})
}
